From ac490cdca2a95c767bbfc09ba5a35d2dd5f80ee9 Mon Sep 17 00:00:00 2001
From: Matheus Bernardo <matheussber@aluno.unb.br>
Date: Jun 21 2018 00:12:33 +0000
Subject: [PATCH 25/42] Applying some clean code


---

diff --git a/src/api/analysis.js b/src/api/analysis.js
index 69ebf5d..7ce4911 100644
--- a/src/api/analysis.js
+++ b/src/api/analysis.js
@@ -9,5 +9,10 @@ export default {
   },
   getResults: (currentPackage, id) => {
     return axios.get(`/analysis/${currentPackage.name}/${currentPackage.versions[0].number}/${id}/results`)
+  },
+  register: (name, email, password) => {
+    return axios.post('http://127.0.0.1:5000/users', { name, email, password })
   }
+
+  
 }
diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index fded2fd..af01ffd 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -136,8 +136,9 @@ export default {
     }
   },
   created () {
+    const VERY_BIG_TIME = 100000000000
     this.updateTable()
-    this.timer = setInterval(this.updateTable, 100000000000)
+    this.timer = setInterval(this.updateTable, VERY_BIG_TIME)
   },
   beforeDestroy () {
     clearInterval(this.timer)
diff --git a/src/components/register/RegisterForm.vue b/src/components/register/RegisterForm.vue
index 5164ab6..ce6f5db 100644
--- a/src/components/register/RegisterForm.vue
+++ b/src/components/register/RegisterForm.vue
@@ -65,7 +65,7 @@
 </template>
 
 <script>
-  import axios from 'axios'
+  import api from '../../api/analysis'
   export default {
     data () {
       return {
@@ -96,12 +96,7 @@
           window.$('#help-password').text('As senhas não conferem')
           return false
         }
-
-        axios.post('http://127.0.0.1:5000/users', {
-          name: this.form['name'],
-          email: this.form['email'],
-          password: this.form['password']
-        })
+        api.register(this.form['name'], this.form['email'], this.form['password'])
         .then(r => {
           if (r.status === 201) {
             console.log('success')

